Name:           eventd
Version:        0.23.0
Release:        1%{?dist}
Summary:        A simple daemon to track remote or local events and do actions

License:        GPLv3+ and LGPLv3+ and MIT
URL:            https://www.eventd.org/
Source0:        https://www.eventd.org/download/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(avahi-glib)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-xcb)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gssdp-1.0)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(purple)
BuildRequires:  pkgconfig(sndfile)
%if 0%{?tts}
BuildRequires:  pkgconfig(speech-dispatcher)
%endif
BuildRequires:  pkgconfig(uuid)
# wayland-wall is not packaged.
%if 0%{?wayland}
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-wall)
%endif
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-aux)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-shape)
BuildRequires:  pkgconfig(xcb-xfixes)
# libnkutils tests
BuildRequires:  gnome-icon-theme
BuildRequires:  gnome-icon-theme-symbolic
BuildRequires:  sound-theme-freedesktop

Requires: gobject-introspection
Requires: librsvg2

%description
The basic eventd daemon for listening to remote and local events. Requires a
backend to act on events and plugins to create them.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

Requires: gobject-introspection-devel
Requires: pkgconfig
Requires: pkgconfig(glib-2.0)
Requires: pkgconfig(gobject-2.0)

%description devel
This package contains libraries and header files needed for development of
%{name} plugins.

%package plugin-canberra
Summary:        libcanberra plugin for %{name}
Requires:       %{name} = %{version}-%{release}

%description plugin-canberra
Play sounds for events through the libcanberra's system sounds.

%package plugin-exec
Summary:        exec plugin for %{name}
Requires:       %{name} = %{version}-%{release}

%description plugin-exec
Execute arbitrary commands.

%package plugin-fdo-notifications
Summary:        freedesktop.org notification plugin for %{name}
Requires:       %{name} = %{version}-%{release}

%description plugin-fdo-notifications
Plugin for interfacing with the org.freedesktop.Notification D-Bus API. Does
not do anything with the API. See the %{name}-plugin-nd package.

%package plugin-file
Summary:        file plugin for %{name}
Requires:       %{name} = %{version}-%{release}

%description plugin-file
Write arbitrary strings to arbitrary files.

%package plugin-im
Summary:        Instant messenger plugin for %{name}
Requires:       %{name} = %{version}-%{release}

%description plugin-im
Send events through an instant messenger protocol using libpurple (Pidgin) as a
backend.

%package plugin-nd
Summary:        notification-daemon plugin for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-plugin-fdo-notifications = %{version}-%{release}
Requires:       %{name}-nd-backend

%description plugin-nd
Generic notification daemon plugin for %{name}. Requires a backend (for
rendering the notifications) to work. See %{name}-nd-xcb.

%package plugin-nd-fbdev
Summary:        Framebuffer display backend for the nd plugin for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-plugin-nd = %{version}-%{release}
Provides:       desktop-notification-daemon
Provides:       %{name}-nd-backend

%description plugin-nd-fbdev
%{summary}. This plugin is required for %{name} to act as a notification
daemon.

%if 0%{?wayland}
%package plugin-nd-wayland
Summary:        Wayland display backend for the nd plugin for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-plugin-nd = %{version}-%{release}
Provides:       desktop-notification-daemon
Provides:       %{name}-nd-backend

%description plugin-nd-wayland
%{summary}. This plugin is required for %{name} to act as a notification
daemon.
%endif

%package plugin-nd-xcb
Summary:        XCB display backend for the nd plugin for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-plugin-nd = %{version}-%{release}
Provides:       desktop-notification-daemon
Provides:       %{name}-nd-backend

%description plugin-nd-xcb
%{summary}. This plugin is required for %{name} to act as a notification
daemon.

%package plugin-notify
Summary:        libnotify plugin for %{name}
Requires:       %{name} = %{version}-%{release}

%description plugin-notify
Output events over the Notification Daemon D-Bus API.

%package plugin-sound
Summary:        sound plugin for %{name}
Requires:       %{name} = %{version}-%{release}

%description plugin-sound
Play sounds for events.

%if 0%{?tts}
%package plugin-tts
Summary:        Text-to-speech plugin for %{name}
Requires:       %{name} = %{version}-%{release}

%description plugin-tts
Speaks events using the speech-dispatcher text-to-speech engine.
%endif


%prep
%setup -q


%build
%meson \
    -Denable-dns-sd=true \
    -Denable-ssdp=true \
    -Denable-websocket=true \
    -Denable-systemd=true \
    -Denable-gobject-introspection=true \
    -Denable-notification-daemon=true \
    -Denable-nd-fbdev=true \
%if 0%{?wayland}
    -Denable-nd-wayland=true \
%else
    -Denable-nd-wayland=false \
%endif
    -Denable-nd-xcb=true \
    -Denable-im=true \
    -Denable-sound=true \
%if 0%{?tts}
    -Denable-tts=true \
%endif
    -Denable-libcanberra=true
%meson_build


%install
%meson_install


%check
%meson_test


%files
%doc PROTOCOL README.md
%license COPYING
%{_bindir}/eventc
%{_bindir}/eventd
%{_bindir}/eventdctl
%{_libdir}/libeventc.so.*
%{_libdir}/libeventc-light.so.*
%{_libdir}/libeventd.so.*
%{_libdir}/libeventd-helpers.so
%{_libdir}/libeventd-plugin.so.*
%dir %{_libdir}/eventd/
%dir %{_libdir}/eventd/plugins/
%dir %{_libdir}/eventd/modules/
%dir %{_libdir}/eventd/modules/%{version}/
%dir %{_datadir}/eventd/
%{_libdir}/eventd/modules/%{version}/ws.so
%{_libdir}/eventd/modules/%{version}/ssdp.so
%{_libdir}/eventd/modules/%{version}/dns-sd.so
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/eventd/notification.event
%{_datadir}/eventd/notification.action
%{_mandir}/man1/eventd.1*
%{_mandir}/man1/eventdctl.1*
%{_mandir}/man5/eventd.conf.5*
%{_unitdir}/eventd-control.socket
%{_unitdir}/eventd.service
%{_unitdir}/eventd.socket
%{_userunitdir}/eventd-control.socket
%{_userunitdir}/eventd.service
%{_userunitdir}/eventd.socket

%files devel
%{_includedir}/eventd/
%{_libdir}/libeventc.so
%{_libdir}/libeventc-light.so
%{_libdir}/libeventd.so
%{_libdir}/libeventd-plugin.so
%{_libdir}/pkgconfig/libeventc.pc
%{_libdir}/pkgconfig/libeventc-light.pc
%{_libdir}/pkgconfig/libeventd.pc
%{_libdir}/pkgconfig/libeventd-plugin.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/pkgconfig/eventd.pc

%files plugin-canberra
%{_libdir}/eventd/plugins/canberra.so
%{_mandir}/man5/eventd-canberra.conf.5*

%files plugin-exec
%{_libdir}/eventd/plugins/exec.so
%{_mandir}/man5/eventd-exec.conf.5*

%files plugin-fdo-notifications
%{_libdir}/eventd/plugins/fdo-notifications.so
%{_datadir}/dbus-1/services/org.eventd.fdo-notifications.service

%files plugin-file
%{_libdir}/eventd/plugins/file.so
%{_mandir}/man5/eventd-file.conf.5*

%files plugin-im
%{_libdir}/eventd/plugins/im.so
%{_mandir}/man1/eventdctl-im.1*
%{_mandir}/man5/eventd-im.conf.5*

%files plugin-nd
%dir %{_libdir}/eventd/modules/%{version}/nd/
%{_libdir}/eventd/plugins/nd.so
%{_mandir}/man1/eventdctl-nd.1*
%{_mandir}/man5/eventd-nd.conf.5*

%files plugin-nd-fbdev
%{_libdir}/eventd/modules/%{version}/nd/fbdev.so

%if 0%{?wayland}
%files plugin-nd-wayland
%{_libdir}/eventd/modules/%{version}/nd/wayland.so
%endif

%files plugin-nd-xcb
%{_libdir}/eventd/modules/%{version}/nd/xcb.so

%files plugin-notify
%{_libdir}/eventd/plugins/notify.so
%{_mandir}/man5/eventd-notify.conf.5*

%files plugin-sound
%{_libdir}/eventd/plugins/sound.so
%{_mandir}/man5/eventd-sound.conf.5*

%if 0%{?tts}
%files plugin-tts
%{_libdir}/eventd/plugins/tts.so
%{_mandir}/man5/eventd-tts.conf.5*
%endif

%changelog
* Fri May 12 2017 Quentin Glidic <sardemff7@eventd.org> - 0.23.0-1
- Update to 0.23.0

* Tue May 09 2017 Quentin Glidic <sardemff7@eventd.org> - 0.22.0-1
- Update to 0.22.0

* Fri Oct 14 2016 Ben Boeckel <mathstuf@gmail.com> - 0.19.3-1
- update to 0.19.3

* Sun Jul 24 2016 Ben Boeckel <mathstuf@gmail.com> - 0.19.1-1
- update to 0.19.1

* Sat Apr 23 2016 Ben Boeckel <mathstuf@gmail.com> - 0.13-1
- update to 0.13

* Mon Apr 04 2016 Ben Boeckel <mathstuf@gmail.com> - 0.12.1-1
- update to 0.12.1

* Sat Dec 12 2015 Quentin Glidic <sardemff7@eventd.org> - 0.10-1
- Update to 0.10
- New library libeventc-light
- New plugin file
- .la files are now removed upstream

* Wed Dec 09 2015 Ben Boeckel <mathstuf@gmail.com> - 0.9-1
- Update to 0.9

* Mon Oct 05 2015 Quentin Glidic <sardemff7@eventd.org> - 0.7.2-1
- update to 0.7.2
- merge evp and relay with eventd ("core" plugins)
- split exec to its own package (not "core")

* Sat Sep 26 2015 Ben Boeckel <mathstuf@gmail.com> - 0.6-2
- enable verbose build

* Sat Sep 26 2015 Ben Boeckel <mathstuf@gmail.com> - 0.6-1
- update to 0.6

* Wed Sep 09 2015 Ben Boeckel <mathstuf@gmail.com> - 0.3-2
- add patch to support new g-ir-scanner behavior

* Mon Aug 24 2015 Ben Boeckel <mathstuf@gmail.com> - 0.3-1
- update to 0.3
- add Requires: for -devel packages and gobject-introspection

* Sun Aug 02 2015 Ben Boeckel <mathstuf@gmail.com> - 0.2-1
- update to 0.2

* Sun Aug 02 2015 Ben Boeckel <mathstuf@gmail.com> - 0.1-0.2
- enable dbus bits

* Sun Aug 02 2015 Ben Boeckel <mathstuf@gmail.com> - 0.1-0.1.20150802git
- initial package
